import vultron.cmd
import vultron.display

class Region(vultron.cmd.Command):
  """Query for information on Vultr regions."""

  def vultron_list(self):
    """Display all available regions."""

    regions = self.api.get("regions")
    return regions["regions"]

  def vultron_plan(self, region_id):
    """Display available plans for a given region."""

    plans = self.api.get("regions", region_id, "availability")
    table = [{"plan": plan} for plan in plans["available_plans"]]
    return table
